<?php

namespace ScopedGtbabel\vielhuber\gtbabel;

use ScopedGtbabel\Cocur\Slugify\Slugify;
use ScopedGtbabel\vielhuber\stringhelper\__;
class Utils
{
    function slugify($trans, $orig, $lng)
    {
        $slugify = new \ScopedGtbabel\Cocur\Slugify\Slugify();
        $suggestion = $slugify->slugify($trans, '-');
        if (\mb_strlen($suggestion) < \mb_strlen($trans) / 2) {
            return $orig . '-' . $lng;
        }
        return $suggestion;
    }
    function getDocRoot()
    {
        return @$_SERVER['DOCUMENT_ROOT'] == '' ? './' : $_SERVER['DOCUMENT_ROOT'];
    }
    function getContentType($response)
    {
        if (\mb_stripos($response, '<!DOCTYPE') === 0) {
            return 'html';
        }
        if (\mb_stripos($response, '<html') === 0) {
            return 'html';
        }
        if (\ScopedGtbabel\vielhuber\stringhelper\__::string_is_json($response)) {
            return 'json';
        }
        if (\strip_tags($response) !== $response) {
            return 'html';
        }
        return 'html';
    }
}
